#include <stdlib.h>
#include <stdio.h>

struct datosPersona{
    char nombre[30];
    int edad;
    int fono;
};

int main()
{
    struct datosPersona a, *b=NULL; //Variables a utilizar en el ejercicio.

    printf("Ingrese nombre de la persona: ");
    gets(a.nombre);
    printf("Ingrese edad de la persona: ");
    scanf("%d", &a.edad);
    printf("Ingrese fono de la persona: ");
    scanf("%d", &a.fono);

    printf("Los datos de la persona ingresada son:\n\n"
           "Nombre: %s\n"
           "Edad: %d\n"
           "Fono: %d\n\n", a.nombre, a.edad, a.fono);
    b=&a;

    printf("Los datos apuntados por el puntero a la estructura:\n\n");
    printf("Nombre: %s\n"
           "Edad: %d\n"
           "Fono: %d\n\n", b->nombre, b->edad, b->fono);  //Observar diferencias cuando se trata de punteros
                                                          //b->campo es equivalente a (*b).campo
    system("Pause");
    return 0;
}


